import { TranslatePipe } from './../../../../shared/translate/pipes/translate.pipe';
import { AlertController } from '@ionic/angular';
export declare class AlertService {
    private alertController;
    private translatePipe;
    alert: HTMLIonAlertElement;
    constructor(alertController: AlertController, translatePipe: TranslatePipe);
    presentError(msg: string): Promise<void>;
    presentDelete(text: string, subject: string, fu: any, byName?: boolean): Promise<void>;
    presentShortDelete(subject: string, fu: any, delMsg?: string): Promise<void>;
    presentBloodTypeAlert(hasBloodType: boolean, fu1: any, fu2: any): Promise<void>;
    presentChangeEmail(email: string, fu: any): Promise<void>;
    presentPatientInactivation(fu1: any, fu2?: any): Promise<void>;
}
